Criar Solicitação de Suporte
curl --request POST \
--url https://api.example.com/cyber/case \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"serviceId": "<string>",
"userHash": "<string>",
"appointments": [
{}
],
"questions": [
{}
]
}
'import requests
url = "https://api.example.com/cyber/case"
payload = {
"serviceId": "<string>",
"userHash": "<string>",
"appointments": [{}],
"questions": [{}]
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
serviceId: '<string>',
userHash: '<string>',
appointments: [{}],
questions: [{}]
})
};
fetch('https://api.example.com/cyber/case', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Salvo com sucesso",
"task": {
"id": "task_123",
"status": "Aberto",
"creationDate": "2024-01-01T10:00:00Z",
"serviceId": "65c056aaa490fd6bfd9de715"
}
}
Cyber (Proteção Digital)
Criar Solicitação de Suporte
Abre um novo chamado de suporte técnico.
POST
/
cyber
/
case
Criar Solicitação de Suporte
Visão Geral
Permite criar uma nova solicitação de suporte técnico para um serviço específico.Autenticação
string
required
Sua chave de API fornecida pela Zentek.
Request Body
string
required
ID do serviço para o qual se deseja suporte.
string
required
Hash único do usuário.
array
Lista de horários preferenciais para atendimento.
array
Respostas para perguntas de triagem do serviço.
Exemplo de Request
curl -X POST "https://api.partner.zentek.com.br/v1/cyber/case" \
-H "Content-Type: application/json" \
-H "x-api-key: SUA_API_KEY" \
-d '{
"serviceId": "65c056aaa490fd6bfd9de715",
"userHash": "a1b2c3d4e5f6...",
"appointments": [{"appointment": "2024-01-01T10:00:00Z"}]
}'
Response
{
"msg": "Salvo com sucesso",
"task": {
"id": "task_123",
"status": "Aberto",
"creationDate": "2024-01-01T10:00:00Z",
"serviceId": "65c056aaa490fd6bfd9de715"
}
}
Was this page helpful?
⌘I
